Skip to main content

Update property

PUThttps://api.propexo.com/v1/properties/:id

Update a property for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    integration_idstringrequired
    property_idstring

    The Propexo unique identifier for the property

    abbreviationstring

    The abbreviation of the property. Example: PROP1

    namestring

    The name associated with the property

    street_address_1string

    The first address line associated with the property

    street_address_2string

    The second address line associated with the property

    zipstring

    The zip code associated with the property

    citystring

    The city associated with the property

    countystring

    The county associated with the property

    statestring

    The state associated with the property

    countrystring

    The country associated with the property

    websitestring

    The website URL associated with the property

    square_footagestring

    The size of the property in square feet

    is_activeboolean

    Whether the property is active

    notesstring

    Notes associated with the property

    year_builtinteger

    The year the property was built

    categorystring

    The category of the property. This is from a limited set of data that the PMS requires.

    Show 2 enum values
    ResidentialCommercial
    typestring

    The type of the property. This is from a limited set of data that the PMS requires.

    Show 11 enum values
    ApartmentCondoCommercialDu/FourplexHouseSection 8/AffordableSeniorShort-term/vacationStudentTownhouseOther
    short_descriptionstring

    A short description of the property

    manager_namestring

    The name of the property manager

    manager_emailstring

    The email address of the property manager

    square_feetstring

    The square footage of the property

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/properties/:id
curl -X PUT https://api.propexo.com/v1/properties/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}